import * as React from 'react';
import { TextInputProps } from 'react-native';
export declare type ATUser = {
    username: string;
    id: string | number;
};
export declare type AtEditorRef = {
    addAtUser: (user: ATUser) => void;
    focus: () => void;
    clear: () => void;
    blur: () => void;
    trigger: () => void;
};
export declare type ATChangeData = {
    displayText: string;
    text: string;
    users: ATUser[];
};
export declare type ATEditorProps = Pick<TextInputProps, Exclude<keyof TextInputProps, 'value' | 'onChangeText' | 'onChange'>> & {
    onChange?: (data: ATChangeData) => void;
    formatAtUser?: (user: ATUser) => string;
    matchFormattedTextReg?: RegExp;
    onAt?: () => void;
};
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<TextInputProps, "allowFontScaling" | "autoCapitalize" | "autoCorrect" | "autoFocus" | "blurOnSubmit" | "caretHidden" | "contextMenuHidden" | "defaultValue" | "editable" | "keyboardType" | "maxLength" | "multiline" | "onBlur" | "onContentSizeChange" | "onEndEditing" | "onFocus" | "onSelectionChange" | "onSubmitEditing" | "onTextInput" | "onScroll" | "onKeyPress" | "placeholder" | "placeholderTextColor" | "returnKeyType" | "secureTextEntry" | "selectTextOnFocus" | "selection" | "selectionColor" | "style" | "testID" | "inputAccessoryViewID" | "maxFontSizeMultiplier" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "clearButtonMode" | "clearTextOnFocus" | "dataDetectorTypes" | "enablesReturnKeyAutomatically" | "keyboardAppearance" | "passwordRules" | "rejectResponderTermination" | "selectionState" | "spellCheck" | "textContentType" | "scrollEnabled" | "autoCompleteType" | "importantForAutofill" | "disableFullscreenUI" | "inlineImageLeft" | "inlineImagePadding" | "numberOfLines" | "returnKeyLabel" | "textBreakStrategy" | "underlineColorAndroid" | "textAlignVertical" | "showSoftInputOnFocus"> & {
    onChange?: ((data: ATChangeData) => void) | undefined;
    formatAtUser?: ((user: ATUser) => string) | undefined;
    matchFormattedTextReg?: RegExp | undefined;
    onAt?: (() => void) | undefined;
} & React.RefAttributes<AtEditorRef>>>;
export default _default;
